aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/patch_qnx.sh
diff options
context:
space:
mode:
authorHeikki Halmet <heikki.halmet@qt.io>2017-11-03 13:09:55 +0200
committerTony Sarajärvi <tony.sarajarvi@qt.io>2017-11-07 15:25:12 +0000
commit0e278c4e95aa5d2e9df315125c119f36149fcc95 (patch)
treebdab43c4e17dc02ce2a61c8c7d3fd8384efec717 /coin/provisioning/qtci-linux-RHEL-6.6-x86_64/patch_qnx.sh
parent894c63834baf28c78c87e39d25bc8940d4e35cb6 (diff)
Provisioning: Remove logical OR when echo errors
set -e won't work if logical OR is used after commands. These error echo's need to be removed so that error catch will works. Also set -ex added to print executed command when error caught. Task-number: QTQAINFRA-1533 Change-Id: Ib4ea832a0ee813f99f59ebacad51ec57c3eff57d Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
Diffstat (limited to 'coin/provisioning/qtci-linux-RHEL-6.6-x86_64/patch_qnx.sh')
-rw-r--r--coin/provisioning/qtci-linux-RHEL-6.6-x86_64/patch_qnx.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/patch_qnx.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/patch_qnx.sh
index ad5c90d3..27c7137b 100644
--- a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/patch_qnx.sh
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/patch_qnx.sh
@@ -39,7 +39,7 @@
# A copy of the patch must be in the root of the Coin path in
# provisioning/qnx/patch-660-4367-RS6069_cpp-headers.zip
-set -e
+set -ex
sha1="57a11ffe4434ad567b3c36f7b828dbb468a9e565"
function InstallZipPackageFromURL {
@@ -47,12 +47,12 @@ function InstallZipPackageFromURL {
expectedSha1=$2
targetDirectory=$3
- targetFile=`mktemp` || echo "Failed to create temporary file"
- wget --tries=5 --waitretry=5 --output-document=$targetFile $url || echo "Failed to download '$url' multiple times"
- echo "$expectedSha1 $targetFile" | sha1sum --check || echo "Failed to check sha1sum"
+ targetFile=`mktemp`
+ wget --tries=5 --waitretry=5 --output-document=$targetFile $url
+ echo "$expectedSha1 $targetFile" | sha1sum --check
- tempDir=`mktemp -d` || echo "Failed to create temporary directory"
- /usr/bin/unzip -o -d $tempDir $targetFile || echo "Failed to unzip $url archive"
+ tempDir=`mktemp -d`
+ /usr/bin/unzip -o -d $tempDir $targetFile
trap "sudo rm -fr $targetFile $tempDir" EXIT
sudo cp -rafv $tempDir/patches/660-4367/target/* /opt/qnx660/target/